<template>
	<view>
		<view class="item_receiver" v-for="(item,index) in list" :key="index" @click="NewEdit(item)">
			<view class="space_between">
				<view class="title_city">{{item.city}}</view>
				<u-icon name="edit-pen" size="25"></u-icon>
			</view>
			<view class="same_row_in">
				<view class="title_delivery">{{item.name}}</view>
				<view class="title_delivery">{{item.phone}}</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		props: {
			list: {
				type: Array,
				default () {
					return []
				}
			},
		},
		data() {
			return {}
		},
		methods:{
			NewEdit(){
				uni.navigateTo({
					url: '/pages/mine/newAddress'
				});
			}
		}
	}
</script>

<style lang="scss">
	.item_receiver {
		padding: 20rpx;
		border-bottom: 1px solid $u-border-color;
	}

	.title_city {
		font-size: 30rpx;
	}

	.title_delivery {
		font-size: 24rpx;
		color: #82848a;
		margin-right: 10rpx;
		margin-top: 6rpx;
	}
</style>